Subject: [BUG] `git branch --contains ID name` creates branch "name"

From: Peter Wu <[email-masked]>
Date: Wed, 30 Jan 2013 19:57:03 +0100

Hi,

I was trying to check whether a certain branch contained a commit and ran:

     git branch --contains ddc150f7a33ae0c9cb16eaac3641abc00f56316f master

This resulted in:

    fatal: A branch named 'master' already exists.
When "name" does not exist, this command creates a branch. I expect this 
command to search the mentioned branch, not trying to create it. The manual 
page of git-branch(1) does not mention such special behavior either.

Git version 1.8.1.2

Regards,
Peter